18.04.2020 22:24    

mkort24
bir çizimi miror yaparken sadece çizimi aynalama yapsın yazıları olduğu gibi getirsin istiyorum. ne yapmalıyım.
teşekkür ederim

18.04.2020 23:50    

alumina
Alıntı
mkort24 :

"MIRRTEXT" sistem degiskeni degerini 0 yaparsaniz nesnelere mirror islemi uyguladiginizda yazilariniz etkilenmez. Fakat bu yazilar blok icerisindeyse ve mirror islemini blok nesnesine uygularsaniz yazilarinizda etkilenir ve bunun cozumu yoktur.

13.02.2024 07:55    

halilozcakir
Merhaba , Blokların referans noktasından olduğu yerde mirror yapabilir miyim acaba böyle bir lisp varmıydı hatırlayamadım saygılar..

13.02.2024 10:38    

alumina
Alıntı
halilozcakir :


Kod:

(defun c:qw (/ dc ss z m i)
            (vl-load-com)
  (if (setq dc (vla-get-ActiveDocument
           (vlax-get-acad-object))
        ss (ssget ":L" '((0 . "Insert"))))
    (progn (vla-StartUndomark dc)
      (repeat (setq z (sslength ss))
        (setq z (1- z)
          m (vlax-ename->vla-object
               (ssname ss z))
            i (vlax-get m 'InsertionPoint))
        (vlax-invoke m 'Mirror i (polar i
          (+ (vla-get-Rotation m) (/ pi 2.)) 1.))
        (vla-Delete m)
      ) (vla-EndUndomark dc)
    )
  ) (prin1)
)

13.02.2024 11:37    

halilozcakir
eyvallah çok teşekkür ederim alumina

> 1 <
Copyright © 2004-2022 SQL: 1.117 saniye - Sorgu: 68 - Ortalama: 0.01643 saniye